/**
 * Sequoia: Database clustering technology.
 * Copyright (C) 2005 Emic Networks
 * Contact: sequoia@continuent.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Initial developer(s): Marc Herbert
 * Contributor(s): 
 */

#ifndef TESTSIMPLEUNICODE_H_
#define TESTSIMPLEUNICODE_H_

#include "../ConnectionSetup.hpp"

/**
 * Unicode support testing.
 * TODO: add more tests
 */
class TestSimpleUnicode : public ConnectionSetup
{
public:
  /** Suite of tests to be run */
  static CppUnit::Test* suite();

  /**
   * Writes exotic (greek) unicode characters in a table and checks that when
   * read back, the data is identical
   */
  void testBasic();

};

#endif /*TESTSIMPLEUNICODE_H_*/
